import utilities
from opencapif_sdk import capif_provider_connector
# Now import the classes from your sdk.py file


def showcase_capif_nef_connector():
    """

    """
    capif_connector = capif_provider_connector(config_file=utilities.get_config_file())

    capif_connector.onboard_provider()

    print("COMPLETED")


if __name__ == "__main__":
    # Register a NEF to CAPIF. This should happen exactly once
    showcase_capif_nef_connector()
